# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pkg-config
# END SourceDeps(oneline)
Summary: Remote control through bluetooth or Wi-Fi connection
Name: anyremote
Version: 6.2
Release: alt1_1
License: GPLv2+
Group: Networking/Other
Source0: http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/
Requires: bc wmctrl libdbus-glib ImageMagick anyremote-data >= 6.2
BuildRequires: libbluez-devel >= 4.64 libX11-devel libXi-devel libXtst-devel xorg-x11-proto-devel glib2-devel >= 2.24.1 libdbus-devel >= 1.2.24 libdbus-glib-devel >= 0.86
Obsoletes: anyremote2html
Source44: import.info

%description
Remote control software for applications using Bluetooth or Wi-Fi.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%package data
Summary: Configuration files for anyRemote
Group: File tools

%description data
Configuration files for anyRemote

%files data
%{_datadir}/%{name}

%package doc
Summary: Documentation for anyRemote
Group: File tools

%description doc
Documentation for anyRemote

%files doc
%doc %{_defaultdocdir}/%{name}


%changelog
* Fri Dec 21 2012 Igor Vlasenko <viy@altlinux.ru> 6.2-alt1_1
- update to new release by fcimport

* Mon Oct 22 2012 Igor Vlasenko <viy@altlinux.ru> 6.1.1-alt1_1
- update to new release by fcimport

* Mon Oct 15 2012 Igor Vlasenko <viy@altlinux.ru> 6.1-alt1_2
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 6.0-alt1_2
- update to new release by fcimport

* Tue Dec  2 2008 Terechkov Evgenii <evg@altlinux.ru> 4.12-alt1
- 4.12
- Buildrequires updated to fix build

* Sun Jul 27 2008 Terechkov Evgenii <evg@altlinux.ru> 4.6-alt1
- 4.6

* Sun Mar 23 2008 Terechkov Evgenii <evg@altlinux.ru> 4.4-alt1
- 4.4
- BuildRequires updated
- New package %name-X11 builded with xautomation support
- J2ME part moved to %name-j2me package (upstream license issues)
- Obsoleted Patch1 removed (fixed in upstream)

* Wed Jan  2 2008 Terechkov Evgenii <evg@altlinux.ru> 4.0-alt1
- 4.0
- Patch1 added to fix build
- BuildRequires updated
- Russian translations removed from spec (Specspo)

* Fri Aug 24 2007 Terechkov Evgenii <evg@altlinux.ru> 3.1-alt1
- 3.1

* Sat Jun 23 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt3
- Spec cleanup

* Thu Jun 14 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt2
- Russian summary and description removed (Specspo)

* Wed May 30 2007 Terechkov Evgenii <evg@altlinux.ru> 2.12-alt1
- 2.12
- Doubled anyRemote.ja[dr] files removed. Look for them in doc-html dir

* Thu Apr 26 2007 Terechkov Evgenii <evg@altlinux.ru> 2.11-alt1
- 2.11

* Tue Apr 24 2007 Terechkov Evgenii <evg@altlinux.ru> 2.11-alt0
- 2.11-alpha
- Patch1 removed (fixed in  upstream)

* Thu Apr 12 2007 Terechkov Evgenii <evg@altlinux.ru> 2.9-alt2
- Patch1 added to fix "Too many open files" crash and set rigth files place

* Sun Mar 11 2007 Terechkov Evgenii <evg@altlinux.ru> 2.9-alt1
- 2.9
- LDADD="-lbluetooth" added to fix --as-needed

* Wed Nov 01 2006 Artem Zolochevskiy <azol@altlinux.ru> 1.4-alt1
- new version
- added russian description & summary

* Mon Oct 23 2006 Artem Zolochevskiy <azol@altlinux.ru> 1.3-alt1
 - initial build for Sisyphus
